package com.duiba.tuia.youtui.web.bo;

import cn.com.duiba.tuia.activity.center.api.dto.ActivityWinOrderDto;
import com.duiba.tuia.youtui.web.exception.ActivityException;
import com.duiba.tuia.youtui.web.model.Result;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * Created by Administrator on 2017/12/14.
 */
public interface BalanceBO {

    Long getReward(Long pageId, HttpServletRequest request) throws ActivityException;

    List<String> assemblyReward(HttpServletRequest request);

    Result<ActivityWinOrderDto> cashWithdraw(String alipayName, String alipayAccout, Long amount, Long pageId);

    String creditConsume(HttpServletRequest request);

    String creditNotify(HttpServletRequest request);
}
